Bug 1313439 - [DOCS] [7.3] [RFE] - use 'kubectl' commands to determine health of Kubernetes master services
[DOCS] [7.3] [RFE] - use 'kubectl' commands to determine health of Kubernetes...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Chris Negus
Vikram Goyal
Vikram Goyal
: Documentation, Extras, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 10:32 EST by Micah Abbott
Modified: 2016-11-17 22:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-17 22:56:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Micah Abbott 2016-03-01 10:32:00 EST
In the docs for setting up a Kubernetes cluster [1], after the Kubernetes master services have been configured and started, the user could use the 'kubectl' command to test if they have been successful.  This is more native to Kubernetes than inspecting the output of 'ps'


-bash-4.2# kubectl cluster-info
Kubernetes master is running at http://localhost:8080

-bash-4.2# kubectl get nodes 
NAME      LABELS                          STATUS    AGE
master    kubernetes.io/hostname=master   Ready     22s

-bash-4.2# kubectl get services --all-namespaces=true
NAMESPACE   NAME         CLUSTER_IP   EXTERNAL_IP   PORT(S)   SELECTOR   AGE
default     kubernetes   10.254.0.1   <none>        443/TCP   <none>     5m

-bash-4.2# kubectl get pods --all-namespaces=true
NAMESPACE   NAME                             READY     STATUS    RESTARTS   AGE
default     kube-apiserver-master            1/1       Running   0          5m
default     kube-controller-manager-master   1/1       Running   0          5m
default     kube-scheduler-master            1/1       Running   0          5m


[1] https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/#creating_a_kubernetes_cluster_to_run_docker_formatted_container_images
Comment 2 Chris Negus 2016-08-30 15:18:37 EDT
Good suggestions. I'll add those or similar commands to the chapter for Atomic/RHEL 7.3.
Comment 3 Chris Negus 2016-10-24 18:49:29 EDT
The particular chapter mentioned in this RFE has been dropped. However, I'm adding the kubectl commands suggested to the remaining Kubernetes (all-in-one) chapter (https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/getting-started-with-containers/#get_started_orchestrating_containers_with_kubernetes). It will be published when RHEL 7.3 is released.
Comment 4 Vikram Goyal 2016-11-17 22:56:34 EST
This is now covered in the Getting Started with Kubernetes guide: https://access.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/7/single/getting-started-with-kubernetes/

Moving this to CLOSED --> CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.